Get Custom Licenses
https://app.fossa.com/api/v2/dependencies/custom-licensesGet custom licenses (dependency licenses that have been manually corrected) within the organization. This endpoint returns paginated results of custom licenses that have been created through project corrections. The results can be optionally filtered to a specific project using the `projectLocator` query parameter.
Query parameters
projectLocatorstringOptional project locator to filter results to custom licenses used within a specific project. If not provided, returns custom licenses across all projects the user has access to.
pageintegerThe specific page of data to return
pageSizeintegerThe number of items to return in each page of results
Responses
200Successfully retrieved custom licensesresultsobject[]requiredArray of custom license objects
dependencyProjectLocatorstringrequiredThe locator of the dependency project that this custom license applies to
dependencyRevisionLocatorstringrequiredThe specific revision locator of the dependency
projectLocatorstringrequiredThe locator of the user project that contains this dependency
projectRevisionstringrequiredThe revision locator of the user project
titlestringrequiredThe title/name of the dependency project
descriptionstringrequiredDescription of the dependency project
urlstringrequiredURL for the dependency project
licenseTitlestringrequiredThe custom license title/name
licenseIdenumrequiredThe license identifier, always 'custom-license' for custom licenses
custom-licensecopyrightstringrequiredCopyright notice for this license
textstringrequiredThe full text of the license
correctedAtstring <date-time>requiredTimestamp when the license correction was created
totalCountintegerrequiredTotal number of custom licenses available (across all pages)
pageintegerrequiredCurrent page number
pageSizeintegerrequiredNumber of items per page
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Project not founduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/v2/dependencies/custom-licensescurl --request GET \ --url 'https://app.fossa.com/api/v2/dependencies/custom-licenses' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Query params
projectLocatorstringOptional project locator to filter results to custom licenses used within a specific project. If not provided, returns custom licenses across all projects the user has access to.
pageintegerThe specific page of data to return
pageSizeintegerThe number of items to return in each page of results